Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003738DoomseekerWebsitepublic2020-01-27 21:152020-02-13 02:15
ReporterWubTheCaptain 
Assigned ToZalewa 
PrioritynormalSeveritytextReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.3.1 
Target Version1.3.1Fixed in Version1.3.1 
Summary0003738: Doomseeker's website needs to be updated for 1.3.1 release
DescriptionDoomseeker 1.3.1 is (being) released.

https://doomseeker.drdteam.org/ [^] needs to be updated / deployed with the latest version information.
Steps To Reproducehttps://doomseeker.drdteam.org/ [^] says:
Quote
Latest Version: 1.3 (July 27, 2019)

This needs to be updated (and so on).
Attached Files

- Relationships
related to 0003746needs review Doomseeker's website code is not available as free software 
related to 0003747resolvedZalewa Doomseeker source code download pages point to old _src filename on the website, 404 Not Found 
child of 0003735needs testingWubTheCaptain Doomseeker 1.3.1 release 

-  Notes
User avatar (0021126)
WubTheCaptain (developer)
2020-01-27 21:52

0003735:0021124:
Quote from Zalewa
Website's code updated and pushed to the repo but not deployed to the server yet.

I don't know where this repo is or if it's public, but okay!
User avatar (0021136)
Blzut3 (administrator)
2020-01-29 05:51

It is not. Although given that there's no passwords or anything like that perhaps we could consider making it public? Besides the downloads which has some code to pick apart the Windows zip file to get individual plugins it's basically static HTML augmented with PHP includes.
User avatar (0021137)
Zalewa (developer)
2020-01-29 07:30

Brief overlook of the site's source hasn't unveiled any obvious security threats. The retrieval of plugin from the .zip processes unsanitized user request content but even this simply errors out if user tries to manipulate it. I have nothing against making the website's code public either.
User avatar (0021151)
WubTheCaptain (developer)
2020-01-30 12:33
edited on: 2020-01-30 12:33

https://doomseeker.drdteam.org/download.php [^]
select "Other (Source Code)"
links to:http://doomseeker.drdteam.org/files/doomseeker-1.3.1_src.tar.xz [^]
(notice HTTP scheme)
404 Not Found
same for wadseeker 2.0

User avatar (0021152)
WubTheCaptain (developer)
2020-01-30 12:40

Actually what I noted above has been a different issue since Doomseeker 1.2, so I'll report that as a new issue.
The rest of the web page refers to 1.3.1 properly, so this is resolved.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2020-01-27 21:15 WubTheCaptain New Issue
2020-01-27 21:15 WubTheCaptain Relationship added child of 0003735
2020-01-27 21:52 WubTheCaptain Note Added: 0021126
2020-01-27 21:52 WubTheCaptain Assigned To => Zalewa
2020-01-27 21:52 WubTheCaptain Status new => needs review
2020-01-29 05:51 Blzut3 Note Added: 0021136
2020-01-29 07:30 Zalewa Note Added: 0021137
2020-01-30 12:30 WubTheCaptain Status needs review => needs testing
2020-01-30 12:33 WubTheCaptain Note Added: 0021151
2020-01-30 12:33 WubTheCaptain Status needs testing => assigned
2020-01-30 12:33 WubTheCaptain Note Edited: 0021151 View Revisions
2020-01-30 12:38 WubTheCaptain Relationship added related to 0003746
2020-01-30 12:40 WubTheCaptain Note Added: 0021152
2020-01-30 12:40 WubTheCaptain Status assigned => resolved
2020-01-30 12:40 WubTheCaptain Fixed in Version => 1.3.1
2020-01-30 12:40 WubTheCaptain Resolution open => fixed
2020-01-30 12:51 WubTheCaptain Relationship added related to 0003747
2020-01-31 12:44 WubTheCaptain Category Documentation => Website
2020-02-13 02:15 WubTheCaptain Relationship added related to 0003762
2020-02-13 02:15 WubTheCaptain Relationship deleted related to 0003762






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker